Bug 1174207 - /etc/cron.daily/logrotate should not suppress messages and is not marked as a configuration file
Summary: /etc/cron.daily/logrotate should not suppress messages and is not marked as a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: logrotate
Version: 7.2
Hardware: All
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Tomas Dolezal
Lenka Špačková
URL:
Whiteboard:
Depends On: 722209
Blocks: 782183 994246 1075802 722825
TreeView+ depends on / blocked
 
Reported: 2014-12-15 11:46 UTC by Jan Kaluža
Modified: 2019-07-11 08:28 UTC (History)
13 users (show)

Fixed In Version: logrotate-3.8.6-5.el7
Doc Type: Bug Fix
Doc Text:
Error messages from `/etc/cron.daily/logrotate` are no longer redirected to `/dev/null` Error messages generated by the daily cronjob of *logrotate* are now sent to the *root* user instead of being silently discarded. In addition, the `/etc/cron.daily/logrotate` script is marked as a configuration file in RPM.
Clone Of: 722209
Environment:
Last Closed: 2015-11-19 07:03:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2174 normal SHIPPED_LIVE logrotate bug fix and enhancement update 2015-11-19 08:26:00 UTC

Comment 6 errata-xmlrpc 2015-11-19 07:03:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2174.html

Comment 7 Kamil Dudka 2016-07-07 15:15:55 UTC
Should this change go also to Fedora in order not to regress in RHEL-8?

Comment 8 Kamil Dudka 2017-01-25 09:51:56 UTC
fixed in logrotate-3.11.0-3.fc26:

http://pkgs.fedoraproject.org/cgit/rpms/logrotate.git/commit/?id=52f81c54


Note You need to log in before you can comment on or make changes to this bug.